## IdeVcsConfig IdeVcsConfig |

## Functions

void | ide_vcs_config_get_config ()
void | ide_vcs_config_set_config ()

## Types and Values

#define | IDE_TYPE_VCS_CONFIG
enum | IdeVcsConfigType
struct | IdeVcsConfigInterface
| IdeVcsConfig

## Object Hierarchy

        GEnum
        ╰── IdeVcsConfigType
        GInterface
        ╰── IdeVcsConfig

## Prerequisites

IdeVcsConfig requires IdeObject.

## Description

## Functions

### ide_vcs_config_get_config ()

    void
    ide_vcs_config_get_config (IdeVcsConfig *self,
                               IdeVcsConfigType type,
                               GValue *value);

### ide_vcs_config_set_config ()

    void
    ide_vcs_config_set_config (IdeVcsConfig *self,
                               IdeVcsConfigType type,
                               const GValue *value);

## Types and Values

### IDE_TYPE_VCS_CONFIG

    #define IDE_TYPE_VCS_CONFIG (ide_vcs_config_get_type())

### enum IdeVcsConfigType

#### Members

IDE_VCS_CONFIG_FULL_NAME |  |
IDE_VCS_CONFIG_EMAIL |  |

### struct IdeVcsConfigInterface

    struct IdeVcsConfigInterface {
      GTypeInterface parent;

      void (*get_config) (IdeVcsConfig    *self,
                          IdeVcsConfigType type,
                          GValue          *value);
      void (*set_config) (IdeVcsConfig    *self,
                          IdeVcsConfigType type,
                          const GValue    *value);
    };

### IdeVcsConfig

    typedef struct _IdeVcsConfig IdeVcsConfig;